Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZArticleForm Class Reference

## Public Member Functions
| __construct ( $id=-1, $fetch=true)
| store ()
| delete ( $formID=-1)
| get ( $id=-1)
| fill (&$formArray)
| id ()
& | form ()
& | receiver ()
| setArticle (&$object)
| setForm (&$object)

## Static Public Member Functions
& | getAll ( $offset=0, $limit=20)
| count ()
& | articleHasForm (&$object)
& | formHasArticle (&$object)

## Public Attributes
| $ID
| $Form
| $Article

## Detailed Description

! eZArticle ezarticleform documentation.

Example code:

Definition at line 41 of file ezarticleform.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZArticleForm::__construct | ( |  | $id = `-1`,
|  |  | $fetch = `true`
| ) |  |

Constructs a new eZArticleForm object.

If $id is set the object's values are fetched from the database.

Definition at line 50 of file ezarticleform.php.

References $ID, $id, and fill().

## Member Function Documentation

## ◆ articleHasForm()

& eZArticleForm::articleHasForm | ( | & | $object | ) |
| static

Returns the form if the article has a form.

The article is sent in as an eZArticle object. The form is returned as an eZForm object.

Definition at line 255 of file ezarticleform.php.

References $ArticleID, $db, $ret, and eZDB\globalDatabase().

## ◆ count()

eZArticleForm::count | ( |  | ) |
| static

Returns the total count of objects in the database.

Definition at line 191 of file ezarticleform.php.

References $db, $result, $ret, and eZDB\globalDatabase().

Referenced by get(), and getAll().

## ◆ delete()

eZArticleForm::delete | ( |  | $formID = `-1` | ) |

Deletes a eZArticleForm object from the database.

Definition at line 104 of file ezarticleform.php.

References $db, $ID, and eZDB\globalDatabase().

## ◆ fill()

eZArticleForm::fill | ( | & | $formArray | ) |

Fills in information to the object taken from the array.

Definition at line 144 of file ezarticleform.php.

Referenced by __construct(), and get().

## ◆ form()

& eZArticleForm::form | ( |  | ) |

Returns the form of the object.

Definition at line 213 of file ezarticleform.php.

References $Form.

## ◆ formHasArticle()

& eZArticleForm::formHasArticle | ( | & | $object | ) |
| static

Returns the article if the form has an article.

The form is sent in as an eZForm object. The article is returned as an eZArticle object.

Definition at line 284 of file ezarticleform.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ get()

eZArticleForm::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 119 of file ezarticleform.php.

References $db, $id, $ret, count(), fill(), and eZDB\globalDatabase().

## ◆ getAll()

& eZArticleForm::getAll | ( |  | $offset = `0`,
|  |  | $limit = `20`
| ) |  |
| static

Returns all the objects found in the database.

The objects are returned as an array of eZArticleForm objects.

Definition at line 158 of file ezarticleform.php.

References $db, $i, $limit, count(), and eZDB\globalDatabase().

## ◆ id()

eZArticleForm::id | ( |  | ) |

Returns the object ID. This is the unique ID stored in the database.

Definition at line 205 of file ezarticleform.php.

References $ID.

## ◆ receiver()

& eZArticleForm::receiver | ( |  | ) |

Returns the article of the object.

Definition at line 221 of file ezarticleform.php.

References $Article.

## ◆ setArticle()

eZArticleForm::setArticle | ( | & | $object | ) |

Sets the article of the object.

Definition at line 229 of file ezarticleform.php.

## ◆ setForm()

eZArticleForm::setForm | ( | & | $object | ) |

Sets the form of the object.

Definition at line 240 of file ezarticleform.php.

## ◆ store()

eZArticleForm::store | ( |  | ) |

Stores a eZArticleForm object to the database.

Definition at line 69 of file ezarticleform.php.

References $ArticleID, $db, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $Article

eZArticleForm::$Article

Definition at line 304 of file ezarticleform.php.

Referenced by receiver().

## ◆ $Form

eZArticleForm::$Form

Definition at line 303 of file ezarticleform.php.

Referenced by form().

## ◆ $ID

eZArticleForm::$ID

Definition at line 302 of file ezarticleform.php.

Referenced by __construct(), delete(), and id().

The documentation for this class was generated from the following file:

- ezarticleform.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.